=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2011-08-12 12:11:44 +0000
+++ bzrlib/config.py	2011-08-12 12:18:34 +0000
@@ -2394,6 +2394,14 @@
     Option('editor',
            help='The command called to launch an editor to enter a message.'))
 option_registry.register(
+    Option('ignore_missing_extensions', default=False,
+           from_unicode=bool_from_store,
+           help='''\
+Control the missing extensions warning display.
+
+The warning will not be emitted if set to True.
+'''))
+option_registry.register(
     Option('language',
            help='Language to translate messages into.'))
 option_registry.register(

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2011-07-25 07:11:56 +0000
+++ bzrlib/osutils.py	2011-08-12 12:18:34 +0000
@@ -42,6 +42,7 @@
 
 from bzrlib import (
     cache_utf8,
+    config,
     errors,
     trace,
     win32utils,
@@ -985,8 +986,7 @@
 def report_extension_load_failures():
     if not _extension_load_failures:
         return
-    from bzrlib.config import GlobalConfig
-    if GlobalConfig().get_user_option_as_bool('ignore_missing_extensions'):
+    if config.GlobalStack().get('ignore_missing_extensions'):
         return
     # the warnings framework should by default show this only once
     from bzrlib.trace import warning

